[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH] Add qemu support for ppc64 on FC16 or above for rpm packaging



On 03/23/2012 12:29 AM, Li Zhang wrote:
> On Fedora16 or above, qemu is supported now. So it is added
> in rpm packaging.
>
> Signed-off-by: Li Zhang <zhlcindy linux vnet ibm com>
> ---
>  libvirt.spec.in |    4 ++--
>  1 files changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/libvirt.spec.in b/libvirt.spec.in
> index 072fd8e..568a84f 100644
> --- a/libvirt.spec.in
> +++ b/libvirt.spec.in
> @@ -139,8 +139,8 @@
>  %define with_xen 0
>  %endif
>  
> -# Fedora doesn't have any QEMU on ppc64 - only ppc
> -%if 0%{?fedora}
> +# Fedora doesn't have any QEMU on ppc64 until FC16 - only ppc
> +%if 0%{?fedora} < 16

This should instead be:

   %if 0%{?fedora} && 0%{?fedora} < 16

>  %ifarch ppc64
>  %define with_qemu 0
>  %endif

Other than that, ACK. I made the above change, added your name to
AUTHORS, and pushed the result. Thanks!


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]